<% Option Explicit %>
<!--#include file="common.inc" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Guestbook
'**                                                              
'**  Copyright 2001 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can redistribute it and/or modify
'**  it under the terms of the GNU General Public License as published by
'**  the Free Software Foundation; either version 2 of the License, or
'**  any later version.
'**
'**  All copyright notices must remain intacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide must remain in place and the powered by
'**  logo with link back to Web Wiz Guide must remain visiable when the pages
'**  are viewed.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'**  GNU General Public License for more details.
'**    
'**  You should have received a copy of the GNU General Public License
'**  along with this program; if not, write to the Free Software
'**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	
'** 
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.com/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'****************************************************************************************

'Set the response buffer to true as we maybe redirecting
Response.Buffer = True

'If the session variable is False or does not exsist then redirect the user to the unauthorised user page
If Session("blnIsUserGood") = False or IsNull(Session("blnIsUserGood")) = True then
	'Redirect to unathorised user page
	Response.Redirect"unauthorised_user_page.htm"
End If


'Dimension variables
Dim adoRec 		'Database Recordset Variable
Dim intBadWord		'Loop counter for the bad words


'Create a ADO recordset odject for the database
Set adoRec = Server.CreateObject("ADODB.Recordset")
	 
'Set the Lock Type for the records so that the record set is only locked when it is deleted
adoRec.LockType = 3

'Initalise the strSQL variable with the SQL string
strSQL = "SELECT tblSmut.* FROM tblSmut;"	
	
'Query the database
adoRec.Open strSQL, strCon


'Loop round three times to get each new bad word
For intBadWord = 1 to 3

	'Check there is a new bad word and a replacement word to add to the database
	If Request.Form("badWord" & intBadWord) <> "" AND Request.Form("replaceWord" & intBadWord) <> "" Then

		'Tell the recordset we are adding a new record
		adoRec.AddNew
		
		'Add new records to fields
		adoRec.Fields("Smut") = Request.Form("badWord" & intBadWord)
		adoRec.Fields("Word_replace") = Request.Form("replaceWord" & intBadWord)
		
		'save the recordset back to the database
		adoRec.Update
	
	End If
	
Next
	 
'Reset server variable
Set adoCon = Nothing
Set strCon = Nothing
Set adoRec = Nothing


'Return to the bad word admin page
Response.Redirect "configure_bad_word_filter.asp"
%>
