<% Option Explicit %>
<!--#include file="common.inc" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Guestbook
'**                                                              
'**  Copyright 2001 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can redistribute it and/or modify
'**  it under the terms of the GNU General Public License as published by
'**  the Free Software Foundation; either version 2 of the License, or
'**  any later version.
'**
'**  All copyright notices must remain intacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide must remain in place and the powered by
'**  logo with link back to Web Wiz Guide must remain visiable when the pages
'**  are viewed.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'**  GNU General Public License for more details.
'**    
'**  You should have received a copy of the GNU General Public License
'**  along with this program; if not, write to the Free Software
'**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	
'** 
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.com/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'****************************************************************************************

'Set the response buffer to true as we maybe redirecting
Response.Buffer = True



'If the session variable is False or does not exsist then redirect the user to the unauthorised user page
If Session("blnIsUserGood") = False or IsNull(Session("blnIsUserGood")) = True then
	'Redirect to unathorised user page
	Response.Redirect"unauthorised_user_page.htm"
End If

'Dimension variables
Dim adoRec 		'Database Recordset Variable
Dim intMessageID 	'Holds the messageID number to be ammened
Dim strAmdName 		'Holds the Users name to be ammened
Dim strAmdEmailAddress 	'Holds the Users e-mail address to be ammened
Dim strAmdHomepage 	'Holds the Users homepage to be ammened
Dim strAmdComments 	'Holds the Users comments to be ammened
Dim intAmdMessageID 	'Holds the Message ID to be deleted to be ammened
Dim strAmdCountry	'Holds the country to be ammended



'Read in user deatils from the amend comments form
intAmdMessageID = CInt(Request.Form("MessageID"))
strAmdName = Request.Form("name")
strAmdCountry = Request.Form("country")
strAmdEmailAddress = Request.Form("email")
strAmdHomepage = Request.Form("homepage")
strAmdComments  = Request.Form("comments")

'Replace harmful chracters in the amended details
strAmdComments = Replace(strAmdComments, vbCrLf, "<br>")


'Update the database
	
'Create recorset object
Set adoRec = Server.CreateObject("ADODB.Recordset")


'Initalise the SQL string with a query to read in all the comments to be amended from the database
strSQL = "SELECT tblComments.* FROM tblComments WHERE tblComments.MessageID = " & intAmdMessageID & ";"

'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
adoRec.CursorType = 2

'Set the Lock Type for the records so that the record set is only locked when it is updated
adoRec.LockType = 3

'Open the recordset
adoRec.Open strSQL, strCon

'Place the amend coments into the recordset
adoRec.Fields("Name") =  strAmdName
adoRec.Fields("Country") = strAmdCountry
adoRec.Fields("EMail") = strAmdEmailAddress
adoRec.Fields("Homepage") = strAmdHomepage
adoRec.Fields("Comments") = strAmdComments
			
'Update the database with the new recordset
adoRec.Update

'Requery the database to make sure that the new comments have been added 
'This will make the script wait until Database has updated itself as sometimes Access can be a little slow at updating
adoRec.Requery
	
	 
'Reset Sever Objects 
Set adoCon = Nothing
Set adoRec = Nothing



'Return to the guestbook admin page
Response.Redirect "comments_admin.asp?PagePosition=" & Request.QueryString("PagePosition")
%>
