<% Option Explicit %>
<!--#include file="common.inc" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Guestbook
'**                                                              
'**  Copyright 2001 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can redistribute it and/or modify
'**  it under the terms of the GNU General Public License as published by
'**  the Free Software Foundation; either version 2 of the License, or
'**  any later version.
'**
'**  All copyright notices must remain intacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide must remain in place and the powered by
'**  logo with link back to Web Wiz Guide must remain visiable when the pages
'**  are viewed.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'**  GNU General Public License for more details.
'**    
'**  You should have received a copy of the GNU General Public License
'**  along with this program; if not, write to the Free Software
'**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	
'** 
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.com/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'****************************************************************************************


'Set the response buffer to true
Response.Buffer = True 


'If the session variable is False or does not exsist then redirect the user to the unauthorised user page
If Session("blnIsUserGood") = False or IsNull(Session("blnIsUserGood")) = True then
	'Redirect to unathorised user page
	Response.Redirect"unauthorised_user_page.htm"
End If


'Dimension variables
Dim rsCheckUsername 		'Recorset holding all the username in the database						
Dim rsAdminDetails		'recordset holding the admin details		
Dim strMode			'holds the mode of the page, set to true if changes are to be made to the database
Dim strNewUsername		'Holds the new username
Dim strNewPassword		'Holds the new password
Dim strUsername
Dim strPassword


'Read in the users details from the form
strNewUsername = Request.Form("name2")
strNewPassword = Request.Form("password2")
strMode = Request.Form("mode")


'Intialise the ADO recordset object
Set rsAdminDetails = Server.CreateObject("ADODB.Recordset")
	

'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT tblConfiguration.Username,  tblConfiguration.Password "
strSQL = strSQL & "From tblConfiguration;"

'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
rsAdminDetails.CursorType = 2

'Set the Lock Type for the records so that the record set is only locked when it is updated
rsAdminDetails.LockType = 3
	
'Query the database
rsAdminDetails.Open strSQL, strCon


'If there is a record returned read in the details or update it
If NOT rsAdminDetails.EOF Then
	
	'Read in the Username and password from the recordset
	strUsername = rsAdminDetails("Username")
	strPassword = rsAdminDetails("Password")

	'If the user is changing there username and password then update the database
	If strMode = "change" Then	
	
		'Update the recordset	
		rsAdminDetails.Fields("Username") = strNewUsername
		rsAdminDetails.Fields("Password") = strNewPassword
			
				
		'Update the database with the new user's details
		rsAdminDetails.Update
		
		'Re-run the NewUser query to read in the updated recordset from the database
		rsAdminDetails.Requery	
		
		strUsername = rsAdminDetails("Username")
		strPassword = rsAdminDetails("Password")
		
	End If
End If


'Reset Server Objects
Set adoCon = Nothing
Set strCon = Nothing
Set rsAdminDetails = Nothing


%>  
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Change Admin Username &amp; Password</title>

<!-- The Web Wiz Guide Forum is written and produced by Bruce Corkhill 2001
     	If you want your own Forum then goto http://www.webwizguide.com -->
		
<!-- Check the from is filled in correctly before submitting -->
<script  language="JavaScript">
<!-- Hide from older browsers...

//Function to check form is filled in correctly before submitting
function CheckForm () {

	//Check for a Username
	if (document.frmChangePassword.name2.value==""){
		alert("Please enter your a Username");
		document.frmChangePassword.name2.focus();
		return false;
	}
	
	//Check for a Password
	if (document.frmChangePassword.password2.value==""){
		alert("Please enter your a Password");
		document.frmChangePassword.password2.focus();
		return false;
	}
	
	return true
}
// -->
</script>
     	
</head>
<body bgcolor="#FFFFFF" text="#000000">
<h1 align="center">Change Admin Username &amp; Password</h1>
<div align="center"><a href="admin_menu.asp" target="_self">Return to the the 
  Administration Menu</a><br>
  <br>
  Make sure you <b>remember</b> the new<b> username</b> and <b>password</b> <br>
  as you <b>will not</b> be able to Login or <b>Administer the Guestbook without them</b>!!!<br>
  <br>
</div>
<form method="post" name="frmChangePassword" action="change_admin_username.asp" onSubmit="return CheckForm();">
  <table width="300" border="0" cellspacing="0" cellpadding="0" align="center" bgcolor="#000000" height="30">
    <tr> 
      <td height="2" width="483" align="center"> 
        <table width="100%" border="0" cellspacing="1" cellpadding="2">
          <tr> 
            <td bgcolor="#FFFFFF"> 
              <table width="100%" border="0" cellspacing="0" cellpadding="2">
                <tr> 
                  <td align="right" width="29%">Username:&nbsp;&nbsp;</td>
                  <td width="71%"> 
                    <input type="text" name="name2" size="15" maxlength="15" value="<% = strUsername %>" >
                  </td>
                </tr>
                <tr> 
                  <td align="right" width="29%">Password:&nbsp; </td>
                  <td width="71%"> 
                    <input type="text" name="password2" size="15" maxlength="15" value="<% = strPassword %>" >
                  </td>
                </tr>
                <tr> 
                  <td align="right" width="29%">
                    <input type="hidden" name="mode" value="change">
                  </td>
                  <td width="71%"> 
                    <input type="submit" name="Submit" value="Update Details">
                    <input type="reset" name="Reset" value="Clear">
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</form>
<br>
</body>
</html>
