<% Option Explicit %>
<!--#include file="common.inc" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Guestbook
'**                                                              
'**  Copyright 2001 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can redistribute it and/or modify
'**  it under the terms of the GNU General Public License as published by
'**  the Free Software Foundation; either version 2 of the License, or
'**  any later version.
'**
'**  All copyright notices must remain intacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide must remain in place and the powered by
'**  logo with link back to Web Wiz Guide must remain visiable when the pages
'**  are viewed.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'**  GNU General Public License for more details.
'**    
'**  You should have received a copy of the GNU General Public License
'**  along with this program; if not, write to the Free Software
'**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	
'** 
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.com/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'****************************************************************************************


'Set the response buffer to true
Response.Buffer = True 

'If the session variable is False or does not exsist then redirect the user to the unauthorised user page
If Session("blnIsUserGood") = False or IsNull(Session("blnIsUserGood")) = True then
	'Redirect to unathorised user page
	Response.Redirect"unauthorised_user_page.htm"
End If


'Dimension variables
Dim rsGuestbookConfiguration 	'Recorset holding all the username in the database				
Dim strWebSiteName		'Holds the web site name
Dim strGuestbookPath 		'Holds the Guestbook path
Dim strMode			'holds the mode of the page, set to true if changes are to be made to the database
      
      

'Read in the users colours for the Guesbook
strTitleImage = Request.Form("titleImage")
strBgColour = Request.Form("bg")
strTextColour = Request.Form("text")
strTextType = Request.Form("FontType")
intTextSize = CInt(Request.Form("FontSize"))
strTableColour = Request.Form("table")
strTableBorderColour = Request.Form("tableBorder")
strTableTitleColour = Request.Form("tableTitle")
strLinkColour = Request.Form("links")
strVisitedLinkColour = Request.Form("vLinks")
strHoverLinkColour = Request.Form("aLinks")
intRecordsPerPage = CInt(Request.Form("topic"))
strMode = Request.Form("mode")


'Intialise the ADO recordset object
Set rsGuestbookConfiguration  = Server.CreateObject("ADODB.Recordset")
	
'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT tblConfiguration.* From tblConfiguration;"

'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
rsGuestbookConfiguration.CursorType = 2

'Set the Lock Type for the records so that the record set is only locked when it is updated
rsGuestbookConfiguration.LockType = 3

'we only want one record so set the maximum records to 1
rsGuestbookConfiguration.MaxRecords = 1
	
'Query the database
rsGuestbookConfiguration.Open strSQL, strCon

'If the user is changing tthe colours then update the database
If strMode = "change" Then
	
	'Update the recordset	
	rsGuestbookConfiguration.Fields("bg_colour") = strBgColour
	rsGuestbookConfiguration.Fields("text_colour") = strTextColour
	rsGuestbookConfiguration.Fields("text_type") = strTextType
	rsGuestbookConfiguration.Fields("text_size") = intTextSize
	rsGuestbookConfiguration.Fields("table_colour") = strTableColour
	rsGuestbookConfiguration.Fields("table_border_colour") = strTableBorderColour
	rsGuestbookConfiguration.Fields("table_title_colour") = strTableTitleColour
	rsGuestbookConfiguration.Fields("links_colour") = strLinkColour
	rsGuestbookConfiguration.Fields("visited_links_colour") = strVisitedLinkColour
	rsGuestbookConfiguration.Fields("active_links_colour") = strHoverLinkColour
	rsGuestbookConfiguration.Fields("Comments_per_page") = intRecordsPerPage
	rsGuestbookConfiguration.Fields("Title_image") = strTitleImage
				
	'Update the database with the new user's colours
	rsGuestbookConfiguration.Update
		
	'Re-run the query to read in the updated recordset from the database
	rsGuestbookConfiguration.Requery	
End If

'Read in the Guestbook colours from the database
If NOT rsGuestbookConfiguration.EOF Then
	
	'Read in the colour info from the database
	strBgColour = rsGuestbookConfiguration.Fields("bg_colour")
	strTextColour = rsGuestbookConfiguration.Fields("text_colour")
	strTextType = rsGuestbookConfiguration.Fields("text_type")
	intTextSize = CInt(rsGuestbookConfiguration.Fields("text_size"))
	strTableColour = rsGuestbookConfiguration.Fields("table_colour")
	strTableBorderColour = rsGuestbookConfiguration.Fields("table_border_colour")
	strTableTitleColour = rsGuestbookConfiguration.Fields("table_title_colour")
	strLinkColour = rsGuestbookConfiguration.Fields("links_colour")
	strVisitedLinkColour = rsGuestbookConfiguration.Fields("visited_links_colour")
	strHoverLinkColour = rsGuestbookConfiguration.Fields("active_links_colour")
	intRecordsPerPage = CInt(rsGuestbookConfiguration.Fields("Comments_per_page"))
	strTitleImage = rsGuestbookConfiguration.Fields("Title_image")
End If


'Reset Server Objects
Set adoCon = Nothing
Set strCon = Nothing
Set rsGuestbookConfiguration = Nothing


%>  
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Configure the Guestbook</title>

<!-- The Web Wiz Guide Guestbook is written and produced by Bruce Corkhill 2001
     	If you want your own Guestbook then goto http://www.webwizguide.com -->
		
<!-- Check the from is filled in correctly before submitting -->
<script  language="JavaScript">
<!-- Hide from older browsers...

//Function to check form is filled in correctly before submitting
function CheckForm () {


	//Check for a background colour
	if (document.frmConfiguration.bg.value==""){
		alert("Please enter a Background Colour");
		document.frmConfiguration.bg.focus();
		return false;
	}
	
	//Check for a text colour
	if (document.frmConfiguration.text.value==""){
		alert("Please enter a Text Colour");
		document.frmConfiguration.text.focus();
		return false;
	}
	
	//Check for a Table Background Colour
	if (document.frmConfiguration.table.value==""){
		alert("Please enter a Table Background Colour");
		document.frmConfiguration.table.focus();
		return false;
	}
	
	//Check for a Table Title Background Colour
	if (document.frmConfiguration.tableTitle.value==""){
		alert("Please enter a Table Title Background Colour");
		document.frmConfiguration.tableTitle.focus();
		return false;
	}
	
	//Check for a Table Border Colour
	if (document.frmConfiguration.tableBorder.value==""){
		alert("Please enter a Table Border Colour");
		document.frmConfiguration.tableBorder.focus();
		return false;
	}
	
	//Check for a Links
	if (document.frmConfiguration.links.value==""){
		alert("Please enter a Link Colour");
		document.frmConfiguration.links.focus();
		return false;
	}
	
	//Check for a Visited Links Colour
	if (document.frmConfiguration.vLinks.value==""){
		alert("Please enter a Visited Links Colour");
		document.frmConfiguration.vLinks.focus();
		return false;
	}
	
	//Check for a Active Links Colour
	if (document.frmConfiguration.aLinks.value==""){
		alert("Please enter a Active Links Colour");
		document.frmConfiguration.aLinks.focus();
		return false;
	}	
	
	return true
}
// -->
</script>
 
<style type="text/css">
<!--
.text {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>}
.bold {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>; font-weight: bold;}
.heading {font-family: <% = strTextType %>; font-size: 24px; color: <% = strTextColour %>}
a {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strLinkColour %>}
a:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
a:visited {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strVisitedLinkColour %>}
a:visited:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
-->
</style>
     	
</head>
<body bgcolor="#FFFFFF" text="#000000">
<h1 align="center">Configure the Guestbook</h1>
<div align="center"><a href="admin_menu.asp" target="_self">Return to the the 
  Administration Menu</a><br>
  <br>
  <table width="97%" border="0" cellspacing="1" cellpadding="1" align="center" height="157">
    <tr> 
      <td height="185" align="center" bgcolor="<% = strBgColour %>" class="text"> <font color="<% = strTextColour %>">Background</font> <br>
        <br>
        <table width="98%" border="0" cellspacing="0" cellpadding="1" bgcolor="<% = strTableBorderColour %>">
          <tr> 
            <td> 
              <table cellspacing=0 cellpadding=2 width="100%" border=0>
                <tr bgcolor="<% = strTableTitleColour %>"> 
                  <td colspan=2 class="text"><font color="<% = strTextColour %>">Comments by <a href="mailto:">web wiz guide</a> on 12 July 2001 at 10:36</font></td>
                </tr>
                <tr bgcolor="<% = strTableColour %>"> 
                  <td colspan=2 class="text"><font color="<% = strTextColour %>">User's Comments</font></td>
                </tr>
                <tr bgcolor="<% = strTableTitleColour %>"> 
                  <td align=left width="50%" class="text"><font color="<% = strTextColour %>">United Kigdom</font></td>
                  <td align=right width="50%"><a href="http://www.webwizguide.com" target="_blank">http://www.webwizguide.com</a></td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
        <br>
        <table width="85%" border="0" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">
          <tr> 
            <td align="center" height="27"> 
              <table width="100%" border="0" cellspacing="0" cellpadding="0" height="30">
                <tr> 
                  <td bgcolor="<% = strTableTitleColour %>" align="center" class="text"><font color="<% = strTextColour %>">Sign Form Colour</font></td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</div>
<form method="post" name="frmConfiguration" action="configure_guestbook.asp" onSubmit="return CheckForm();">
  <table width="550" border="0" cellspacing="0" cellpadding="0" align="center" bgcolor="#000000">
    <tr> 
      <td width="491"> 
        <table border="0" align="center" height="233" cellpadding="4" cellspacing="1" width="550">
          <tr align="left" bgcolor="#FFFFFF"> 
            <td colspan="2" class="arial_sm2" height="30"><font size="2">*Indicates required fields</font></td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="12">Guestbook Title Image Location<br>
              <font size="2">This is the image shown at the top of each page of the guestbook eg. Your web site logo</font></td>
            <td height="12" valign="top"> 
              <input type="text" name="titleImage" maxlength="65" value="<% = strTitleImage %>" size="35">
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="12">Background Colour *</td>
            <td height="12" valign="top"> 
              <input type="text" name="bg" maxlength="10" value="<% = strBgColour %>" size="10" >
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="2">Text Colour*</td>
            <td valign="top" height="2"> 
              <input type="text" name="text" maxlength="10" value="<% = strTextColour %>" size="10" >
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="23">Font Style</td>
            <td height="23" valign="top"> 
              <select name="FontType">
                <option value="Arial, Helvetica, sans-serif" <% If strTextType = "Arial, Helvetica, sans-serif" Then Response.Write("selected") %>>Arial, 
                Helvetica, sans-serif</option>
                <option value="Times New Roman, Times, serif" <% If strTextType = "Times New Roman, Times, serif" Then Response.Write("selected") %>>Times 
                New Roman, Times, serif</option>
                <option value="Courier New, Courier, mono" <% If strTextType = "Courier New, Courier, mono" Then Response.Write("selected") %>>Courier New, 
                Courier, mono</option>
                <option value="Georgia, Times New Roman, Times, serif" <% If strTextType = "Georgia, Times New Roman, Times, serif" Then Response.Write("selected") %>>Georgia, 
                Times New Roman, Times, serif</option>
                <option value="Verdana, Arial, Helvetica, sans-serif" <% If strTextType = "Verdana, Arial, Helvetica, sans-serif" Then Response.Write("selected") %>>Verdana, 
                Arial, Helvetica, sans-serif</option>
                <option value="Geneva, Arial, Helvetica, san-serif" <% If strTextType = "Geneva, Arial, Helvetica, san-serif" Then Response.Write("selected") %>>Geneva, 
                Arial, Helvetica, san-serif</option>
              </select>
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="23">Font Size</td>
            <td height="23" valign="top"> 
              <select name="FontSize">
                <option value="10" <% If intTextSize = 10 Then Response.Write("selected") %>>10</option>
                <option value="11" <% If intTextSize = 11 Then Response.Write("selected") %>>11</option>
                <option value="12" <% If intTextSize = 12 Then Response.Write("selected") %>>12</option>
                <option value="13" <% If intTextSize = 13 Then Response.Write("selected") %>>13</option>
                <option value="14" <% If intTextSize = 14 Then Response.Write("selected") %>>14</option>
              </select>
              pixels</td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="23">Table Background Colour* </td>
            <td height="23" valign="top"> 
              <input type="text" name="table" maxlength="10" value="<% = strTableColour %>" size="10" >
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="23">Table Title Background Colour* </td>
            <td height="23" valign="top"> 
              <input type="text" name="tableTitle" maxlength="10" value="<% = strTableTitleColour %>" size="10" >
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="23">Table Border Colour*</td>
            <td height="23" valign="top"> 
              <input type="text" name="tableBorder" maxlength="10" value="<% = strTableBorderColour %>" size="10" >
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="23">Link Colour*</td>
            <td height="23" valign="top"> 
              <input type="text" name="links" maxlength="10" value="<% = strLinkColour %>" size="10" >
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="23">Visited Link Colour*</td>
            <td height="23" valign="top"> 
              <input type="text" name="vLinks" maxlength="10" value="<% = strVisitedLinkColour %>" size="10" >
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="23">Mouse Over Link Colour*</td>
            <td height="23" valign="top"> 
              <input type="text" name="aLinks" maxlength="10" value="<% = strHoverLinkColour %>" size="10" >
            </td>
          </tr>
          <tr bgcolor="#FFFFFF"> 
            <td align="left" height="23">No of Comments Per Page<br>
              <font size="2">How many comments you want to be shown on each page of the guestbook</font></td>
            <td height="23" valign="top"> 
              <select name="topic">
                <option <% If intRecordsPerPage = 3 Then Response.Write("selected") %>>3</option>
                <option <% If intRecordsPerPage = 4 Then Response.Write("selected") %>>4</option>
                <option <% If intRecordsPerPage = 5 Then Response.Write("selected") %>>5</option>
                <option <% If intRecordsPerPage = 6 Then Response.Write("selected") %>>6</option>
                <option <% If intRecordsPerPage = 7 Then Response.Write("selected") %>>7</option>
                <option <% If intRecordsPerPage = 8 Then Response.Write("selected") %>>8</option>
                <option <% If intRecordsPerPage = 10 Then Response.Write("selected") %>>10</option>
                <option <% If intRecordsPerPage = 12 Then Response.Write("selected") %>>12</option>
                <option <% If intRecordsPerPage = 14 Then Response.Write("selected") %>>14</option>
                <option <% If intRecordsPerPage = 16 Then Response.Write("selected") %>>16</option>
                <option <% If intRecordsPerPage = 18 Then Response.Write("selected") %>>18</option>
                <option <% If intRecordsPerPage = 20 Then Response.Write("selected") %>>20</option>
                <option <% If intRecordsPerPage = 22 Then Response.Write("selected") %>>22</option>
                <option <% If intRecordsPerPage = 24 Then Response.Write("selected") %>>24</option>
              </select>
            </td>
          </tr>
          <tr bgcolor="#FFFFFF" align="center"> 
            <td valign="top" height="2" colspan="2" class="arial"> 
              <p> 
                <input type="hidden" name="mode" value="change">
                <input type="submit" name="Submit" value="Update Guestbook Configuration">
                <input type="reset" name="Reset" value="Clear Form">
              </p>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</form>
<br>
</body>
</html>
