<% Option Explicit %>
<!--#include file="common.inc" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Guestbook
'**                                                              
'**  Copyright 2001 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can redistribute it and/or modify
'**  it under the terms of the GNU General Public License as published by
'**  the Free Software Foundation; either version 2 of the License, or
'**  any later version.
'**
'**  All copyright notices must remain intacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide must remain in place and the powered by
'**  logo with link back to Web Wiz Guide must remain visiable when the pages
'**  are viewed.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'**  GNU General Public License for more details.
'**    
'**  You should have received a copy of the GNU General Public License
'**  along with this program; if not, write to the Free Software
'**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	
'** 
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.com/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'****************************************************************************************



'Buffer the response
Response.Buffer = True

'Dimension variables
Dim adoRec 			'Database Recordset Variable
Dim strName 			'Holds the Users name
Dim strEmailAddress 		'Holds the Users e-mail address
Dim strCountry 			'Holds the users country
Dim strHomepage 		'Holds the Users homepage
Dim strComments 		'Holds the Users comments
Dim dtmEntryDate 		'Holds the date the commnets where made
Dim intRecordPositionPageNum 	'Holds the record position
Dim intRecordLoopCounter 	'Loop counter for displaying the guestbook records
Dim intTotalNumGuestbookEntries 'Holds the total number of records in the database
Dim intTotalNumGuestbookPages 	'Holds the total number of pages in the database
Dim intLinkPageNum 		'Holds the page number to be linked to



'If this is the first time the page is displayed then the guestbook record position is set to page 1
If Request.QueryString("PagePosition") = "" Then
	intRecordPositionPageNum = 1

'Else the page has been displayed before so the guestbook record postion is set to the Record Position number
Else
	intRecordPositionPageNum = CInt(Request.QueryString("PagePosition"))
End If	

		
'Create recorset object
Set adoRec = Server.CreateObject("ADODB.Recordset")
	
'Initalise the strSQL variable with an SQL statement to query the database by selecting all tables ordered by the decending date
strSQL = "SELECT tblComments.* FROM tblComments ORDER BY Date DESC;"

'Set the cursor type property of the record set to dynamic so we can naviagate through the record set
adoRec.CursorType = 3
	
'Query the database
adoRec.Open strSQL, adoCon

'Set the number of records to display on each page by the constant set at the top of the script
adoRec.PageSize = intRecordsPerPage
	
'Get the guestbook record poistion to display from
If NOT adoRec.EOF Then adoRec.AbsolutePage = intRecordPositionPageNum
%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Guest Book</title>

<!-- The Web Wiz Guide ASP Guestbook is written by Bruce Corkhill 2001
    	 If you want your Guestbook then goto http://www.webwizguide.com -->

<style type="text/css">
<!--
.text {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>}
.bold {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strTextColour %>; font-weight: bold;}
a {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strLinkColour %>}
a:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
a:visited {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strVisitedLinkColour %>}
a:visited:hover {font-family: <% = strTextType %>; font-size: <% = intTextSize %>px; color: <% = strHoverLinkColour %>}
-->
</style>
</head>
<body bgcolor="<% = strBgColour %>" text="<% = strTextColour %>">
<!--#include file="header.inc" -->
<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0" height="8">
  <tr valign="middle"> 
    <td height="14"> 
      <table width="98%" border="0" cellspacing="0" cellpadding="0" align="center">
        <tr> 
          <td width="70%"align="center" class="text">Welcome to the guestbook. If you would like to sign the guest book then click on the link below.<br>
            <br><a href="http://www.webwizguide.com"></a>
            <a href="sign.asp?PagePosition=<% = intRecordPositionPageNum %>" target="_self">Sign 
            the guest book</a></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table width="90%" border="0" align="center" cellspacing="0" cellpadding="0">
  <tr> 
    <td align="center" class="text"> 
      <%
'If there are no rcords in the database display an error message
If adoRec.EOF Then
	'Tell the user there are no records to show
	Response.Write "<br>There are no records in the guestbook database"
	Response.Write "<br>Please check back later"
	Response.End
	


'Display the guestbook
Else	
	
	'Count the number of enties in the guestbook database
	intTotalNumGuestbookEntries = adoRec.RecordCount	
	
	'Count the number of pages there are in the guestbook database calculated by the PageSize attribute set above
	intTotalNumGuestbookPages = adoRec.PageCount


	'Display the HTML number number the total number of pages and total number of records in the guestbook database
	%>
      <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
        <tr> 
          <td align="center" class="text"> <br>
            There are 
            <% = intTotalNumGuestbookEntries %>
            guestbook entries in 
            <% = intTotalNumGuestbookPages %>
            pages and your are on page number 
            <% = intRecordPositionPageNum %>
          </td>
        </tr>
      </table>
      <br>
      <%

	'For....Next Loop to display records from the guestbook database
	For intRecordLoopCounter = 1 to intRecordsPerPage
	
		'If there are no guestbook records left to display then exit loop
		If adoRec.EOF Then Exit For
	      		
	      	'Read in the values form the database	
	      	strName = adoRec("Name")
      		strCountry = adoRec("Country")
	      	strEmailAddress = adoRec("EMail")
	      	dtmEntryDate = CDate(adoRec("Date"))
	      	strHomepage = adoRec("Homepage")
	      	strComments = adoRec("Comments")
	      
	      		      	
	      	'If there is no homepage entry to display the display no URL given	
	     	If strHomepage = "http://" then 
	     		strHomepage = "no URL given"
	     	
	     	'Else turn the URL stored in the strHomepage variable into a hyperlink
	     	Else 
	     		strHomepage = "<a href=""" & strHomepage & """ target=""_blank"">" & strHomepage & "</a>"
	     	End If
	      	
	      	
	      	'Write the HTML to the web browser to display the guestbook entries
	      	%>
      <table width="100%" border="0" cellspacing="0" cellpadding="1" align="center" bgcolor="<% = strTableBorderColour %>">
        <tr> 
          <td> 
            <table width="100%" border="0" cellpadding="2" cellspacing="0">
              <tr bgcolor="<% = strTableTitleColour %>"> 
                <td colspan="2" class="text">Comments by <a href="mailto:<% = strEmailAddress %>"><% = strName %></a> on 
                  <% = FormatDateTime(dtmEntryDate, VbLongDate) %> at  <% = FormatDateTime(dtmEntryDate, VbShortTime) %>
                </td>
              </tr>
              <tr> 
                <td colspan="2" bgcolor="<% = strTableColour %>" class="text"><% = strComments %>
                </td>
              </tr>
              <tr bgcolor="<% = strTableTitleColour %>"> 
                <td width="50%" align="left" class="text"><% = strCountry %></td>
                <td width="50%" align="right" class="text"><% = strHomepage %></td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <br>
      <%      
	      		
      		'Move to the next record in the database
	   	adoRec.MoveNext
	
	'Loop back round   	
	Next
End If



'Display an HTML table with links to the other entries in the guestbook
%>
      <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
        <tr> 
          <td> 
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr><a href="http://www.webwizguide.com"></a>
                <td width="50%" align="center" class="text"> 
                  <%
'If there are more pages to display then add a title to the other pages
If intRecordPositionPageNum > 1 or NOT adoRec.EOF Then
	Response.Write vbCrLf & "		Page:&nbsp;&nbsp;"
End If

'If the guestbook page number is higher than page 1 then display a back link    	
If intRecordPositionPageNum > 1 Then 
	Response.Write vbCrLf & "		 <a href=""default.asp?PagePosition=" &  intRecordPositionPageNum - 1  & """ target=""_self"">&lt;&lt;&nbsp;Prev</a>&nbsp;"   	     	
End If     	


'If there are more pages to display then display links to all the pages
If intRecordPositionPageNum > 1 or NOT adoRec.EOF Then 
	
	'Display a link for each page in the guestbook     	
	For intLinkPageNum = 1 to intTotalNumGuestbookPages		
		
		'If the page to be linked to is the page displayed then don't make it a hyper-link
		If intLinkPageNum = intRecordPositionPageNum Then
			Response.Write vbCrLf & "		     " & intLinkPageNum
		Else
		
			Response.Write vbCrLf & "		     &nbsp;<a href=""default.asp?PagePosition=" &  intLinkPageNum  & """ target=""_self"">" & intLinkPageNum & "</a>&nbsp;"			
		End If
	Next
End If


'If it is Not the End of the guestbook entries then display a next link for the next guestbook page      	
If NOT adoRec.EOF then   	
	Response.Write vbCrLf & "		&nbsp;<a href=""default.asp?PagePosition=" &  intRecordPositionPageNum + 1  & """ target=""_self"">Next&nbsp;&gt;&gt;</a>"	   	
End If      	


'Finsh HTML the table 
%>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <% 

'Reset Server Variables	
Set adoCon = Nothing
Set strCon = Nothing
Set adoRec = Nothing

%>
    </td>
  </tr>
</table>
<div align="center"><br>
<%
'### START - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ###
  Response.Write("<a href=""http://www.webwizguide.com"" target=""_blank""><img src=""guestbook_images/web_wiz_guide.gif"" width=""100"" height=""30"" border=""0"" alt=""Web Wiz Guide!""></a>")
'### END - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ###
 %> <br>
</div>
</body>
</html>